### Function

# Ide BufferForeachFunc

#### Declaration

    void
    (* IdeBufferForeachFunc) (
      IdeBuffer* buffer,
      gpointer user_data
    )

#### Description

Callback prototype for ide_buffer_manager_foreach().

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| Closure data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.